﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace ChatApplicationClient.Models
{
    public class RegistrationModel
    {
        [Range(2, 50)]
        public string FirstName { get; set; }

        [Range(2, 50)]
        public string LastName { get; set; }

        [Range(6, 15)]
        [Required]
        public string UserName { get; set; }

        [Required]
        [Range(8, 25)]
        public string Password { get; set; }
    }
}