﻿using QuickChat_Service.Repositories.Repositories.Fakes;
using QuickChat_Service.Repositories.Repositories.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QuickChat_Service.Repositories
{
    public class FakeChatServiceUnitOfWork : IChatServiceUnitOfWork
    {

        public ITalkerRepository talkerRepo
        {
            get
            {
                return new FakeTalkerRepository();
            }
        }

        public IMessageRepository messageRepo
        {
            get
            {
                return new FakeMessageRepository();
            }
        }

        public IChatRoomRepository chatRoomRepo
        {
            get
            {
                return new FakeChatRoomRepository();
            }
        }

        public IChatSessionRepository chatSessionRepo
        {
            get
            {
                return new FakeChatSessionRepository();
            }
        }
    }
}
