﻿using QuickChat_Service.Repositories.Repositories;
using QuickChat_Service.Repositories.Repositories.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QuickChat_Service.Repositories
{
    public interface IChatServiceUnitOfWork
    {
        ITalkerRepository talkerRepo { get; }
        IMessageRepository messageRepo { get; }
        IChatRoomRepository chatRoomRepo { get; }
        IChatSessionRepository chatSessionRepo { get; }
    }
}
