﻿
using QuickChat_Service.Repositories.Database;
using System;
using System.Collections.Generic;
using System.Linq;
namespace QuickChat_Service.Repositories.Repositories.Interfaces
{
    public interface IMessageRepository : IRepository<Message>
    {
        void SendMessage(string message, int sendersId, int sessionId);

        IQueryable<Message> GetMessagesInSession(int sessionId);
    }
}
