﻿using QuickChat_Service.Helpers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Http;

namespace QuickChat_Service
{
    public static class WebApiConfig
    {
        public static void Register(HttpConfiguration config)
        {
            //to handle uncaught exceptions from controller actions
            config.Filters.Add(new NotImplementedExceptionFilterAttribute());

            config.Routes.MapHttpRoute(
                name: "DefaultApi",
                routeTemplate: "api/{controller}/{id}",
                defaults: new { id = RouteParameter.Optional }
            );

            config.Routes.MapHttpRoute(
                name: "TalkersControllerCustom1",
                routeTemplate: "api/Talkers/{userId}/{roomId}"
            );
        }
    }
}
