﻿using Ninject.Modules;
using QuickChat_Service.Repositories;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace QuickChat_Service.Helpers
{
    /// <summary>
    /// To Use this module
    /// Instantiate StandardKernel class and pass a new instance
    /// of this class.
    /// Then call get on the instance passing as a generic, the instance of the interface you
    /// want to get;
    /// </summary>
    public class QuickChatDependencyInjectionModule : NinjectModule
    {
        public override void Load()
        {
            Bind<IChatServiceUnitOfWork>().To<ChatServiceUnitOfWork>().InSingletonScope();
        }
    }
}